jQuery Flot Charts wrapper extension for Yii Framework 2.0


This is extension for Yii 2.

It is actually a wrapper for jQuery Flot Charts library.

If you want to learn more about Flot options and documentation, please visit http://www.flotcharts.org/


As all Yii 2 Extensions, this one should be installed through Composer too.

Composer can be downloaded here: https://getcomposer.org/

Extension in the list of Composer packages: https://packagist.org/packages/bburim/flot

Installation command:

php composer.phar require "bburim/flot"

Basic Usage

use bburim\flot\Chart as Chart;

echo Chart::widget([
    'data' => [
            'label' => 'line', 
            'data'  => [
                [1, 1],
            'lines'  => ['show' => true],
            'points' => ['show' => true],
            'label' => 'bars', 
            'data'  => [
            'bars' => ['show' => true],
    'options' => [
        'legend' => [
            'position'          => 'nw',
            'show'              => true,
            'margin'            => 10,
            'backgroundOpacity' => 0.5
    'htmlOptions' => [
        'style' => 'width:400px;height:400px;'

Options and parameters

This extension allows you to provide some parameters to configure how your chart will be rendered.

tagName - DOM element tag name. Default value is 'div';

htmlOptions - HTML options for DOM container.

options - options array, which will be converted to JSON and transfered to jQuery as third parameter when calling function to create chart.

data - data array, which will be converted to JSON and transfered to jQuery as second parameter when calling function to create chart.

excanvas - true/false. Whether to include excanvas.js or not.

Using plugins

Sometimes you need to include some Flot plugin to make your Chart more interactive.

The following example shows what needs to be added to include, for example, jquery.flot.canvas.js extension:

use bburim\flot\Chart as Chart;
use bburim\flot\Plugin as Plugin;

echo Chart::widget([
    'data' => [
    // As before
    'options' => [
    // As before
    'htmlOptions' => [
    // As before
    // Use `plugins` attribute to load required plugins
    'plugins' => [
        // Use helper class with constants to specify plugin type

The following plugins are currently available as constants:

jquery.flot.canvas.js as Plugin::CANVAS

jquery.flot.categories.js as Plugin::CATEGORIES

jquery.flot.crosshair.js as Plugin::CROSSHAIR

jquery.flot.errorbars.js as Plugin::ERRORBARS

jquery.flot.fillbetween.js as Plugin::FILLBETWEEN

jquery.flot.image.js as Plugin::IMAGE

jquery.flot.navigate.js as Plugin::NAVIGATE

jquery.flot.pie.js as Plugin::PIE

jquery.flot.resize.js as Plugin::RESIZE

jquery.flot.selection.js as Plugin::SELECTION

jquery.flot.stack.js as Plugin::STACK

jquery.flot.symbol.js as Plugin::SYMBOL

jquery.flot.threshold.js as Plugin::THRESHOLD

jquery.flot.time.js as Plugin::TIME


More details about this extension can be found on Github: https://github.com/bburim/flot

Download right now

If you don't want to use composer and want to download this extension directly, use this link: https://github.com/bburim/flot/archive/master.zip

Total 2 comments

#19731 report it
ajith at 2016/01/07 11:41pm
Cannot install

It gave me an error could not find the package at any version for your minimum stability

#19576 report it
xav at 2015/09/14 06:56am
trying to install via composer

The requested package bburim/flot could not be found !

in composer.json -> "bburim/flot": "*",

Leave a comment

Please to leave your comment.

Create extension
No downloadable files yet